Skip to main content
GET
/
prices
Get a Market route for a token pair
curl --request GET \
  --url https://api.velora.xyz/prices
{
  "priceRoute": {
    "blockNumber": 123,
    "network": 123,
    "srcToken": "<string>",
    "srcDecimals": 123,
    "srcAmount": "<string>",
    "destToken": "<string>",
    "destDecimals": 123,
    "destAmount": "<string>",
    "bestRoute": [
      {}
    ],
    "gasCostUSD": "<string>",
    "gasCost": "<string>",
    "version": "<string>",
    "contractAddress": "<string>",
    "tokenTransferProxy": "<string>",
    "contractMethod": "<string>",
    "partnerFee": 123,
    "srcUSD": "<string>",
    "destUSD": "<string>",
    "partner": "<string>",
    "maxImpactReached": true,
    "hmac": "<string>"
  }
}

Documentation Index

Fetch the complete documentation index at: https://new-docs.velora.xyz/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

srcToken
string
required

Source token address. A token symbol listed in /tokens can be used instead. Example uses ETH.

Example:

"0xEeeeeEeeeEeEeeEeEeEeeEEEeeeeEeeeeeeeEEeE"

srcDecimals
integer

Source token decimals. Can be omitted if a token symbol is used in srcToken.

Example:

18

destToken
string
required

Destination token address. A token symbol listed in /tokens can be used instead. Example uses USDC.

Example:

"0xa0b86991c6218b36c1d19d4a2e9eb0ce3606eb48"

destDecimals
integer

Destination token decimals. Can be omitted if a token symbol is used in destToken.

Example:

6

amount
string
required

srcToken amount (SELL) or destToken amount (BUY), in WEI/raw units.

Example:

"1000000000000000000"

side
enum<string>
default:SELL
Available options:
SELL,
BUY
network
integer
default:1

Network ID. Default: 1 (Mainnet).

otherExchangePrices
boolean
default:false

If true, the response includes price quotes from other exchanges in an others object.

includeDEXS
string

Comma-separated list of DEXs to include.

excludeDEXS
string

Comma-separated list of DEXs to exclude.

excludeRFQ
boolean
default:false

Exclude all RFQ liquidity from pricing.

includeContractMethods
string

Comma-separated list of contract methods to include.

excludeContractMethods
string

Comma-separated list of contract methods to exclude.

userAddress
string

End-user wallet address.

Example:

"0xd8dA6BF26964aF9D7eEd9e03E53415D37aA96045"

route
string

Dash-separated list of tokens for the price route. Max 4 tokens.

partner
string
default:anon

Partner string. Defaults to anon which charges 1bps fee for all swaps.

Example:

"my-app-name"

maxImpact
number

Bypass API price-impact check (default = 15%). Value in %.

receiver
string

Receiver wallet address. Omit when swapping from/to the same account.

srcTokenTransferFee
string

Tax in basis points charged on srcToken transfers.

destTokenTransferFee
string

Tax in basis points charged on destToken transfers.

srcTokenDexTransferFee
string

Tax in BPS charged only on DEX swaps for srcToken.

destTokenDexTransferFee
string

Tax in BPS charged only on DEX swaps for destToken.

version
enum<string>
default:6.2

Protocol version. Use "5" for legacy v5; default is "6.2".

Available options:
5,
6.2
excludeContractMethodsWithoutFeeModel
boolean
default:false

Exclude contract methods that don't support the fee model.

ignoreBadUsdPrice
boolean
default:false

Skip the USD-price availability check.

Response

Market route. Calldata-ready against Augustus v6.2 when version=6.2.

priceRoute
object